## libical 1.43-99.3%2b0m5

=== src/python/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# src/python/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SOURCES = $(libLibicalWrap_la_SOURCES)

srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/libical
pkglibdir = $(libdir)/libical
pkgincludedir = $(includedir)/libical
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
target_triplet = arm-unknown-linux-gnueabi
subdir = src/python
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in ChangeLog
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(mkdir_p)
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(libdir)"
libLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(lib_LTLIBRARIES)
libLibicalWrap_la_LIBADD =
am_libLibicalWrap_la_OBJECTS = LibicalWrap.lo
libLibicalWrap_la_OBJECTS = $(am_libLibicalWrap_la_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
#DEP_FILES = ./$(DEPDIR)/LibicalWrap.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libLibicalWrap_la_SOURCES)
DIST_SOURCES = $(libLibicalWrap_la_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/brahma/Project/checkout/synchronization/backend/maesync_dependency/source_packages/libical-0.31/missing --run aclocal-1.8
AMDEP_FALSE = 
AMDEP_TRUE = #
AMTAR = ${SHELL} /home/brahma/Project/checkout/synchronization/backend/maesync_dependency/source_packages/libical-0.31/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/brahma/Project/checkout/synchronization/backend/maesync_dependency/source_packages/libical-0.31/missing --run autoconf
AUTOHEADER = ${SHELL} /home/brahma/Project/checkout/synchronization/backend/maesync_dependency/source_packages/libical-0.31/missing --run autoheader
AUTOMAKE = ${SHELL} /home/brahma/Project/checkout/synchronization/backend/maesync_dependency/source_packages/libical-0.31/missing --run automake-1.8
AWK = gawk
BDB_DIR = 
BDB_DIR_INCLUDE = 
BDB_DIR_LIB = 
BDB_LIB = 
BDB_VERSION = 
CC = cc
CCDEPMODE = depmode=none
CFLAGS = -g -Wall -O2
CPP = cc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=none
CXXFLAGS = -g -Wall -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DEV_FALSE = 
DEV_TRUE = #
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = 
FFLAGS = 
HAVE_PTHREAD_FALSE = #
HAVE_PTHREAD_TRUE = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
JAR = 
JAVA = 
JAVAC = 
JAVAH = 
JAVA_PLATFORM = 
LDFLAGS = 
LEX = flex
LEXLIB = 
LEX_OUTPUT_ROOT = lex.yy
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /home/brahma/Project/checkout/synchronization/backend/maesync_dependency/source_packages/libical-0.31/missing --run makeinfo
OBJEXT = o
OS_WIN32_FALSE = 
OS_WIN32_TRUE = #
PACKAGE = libical
PACKAGE_BUGREPORT = http://freeassociation.sf.net/
PACKAGE_NAME = libical
PACKAGE_STRING = libical 0.31
PACKAGE_TARNAME = libical
PACKAGE_VERSION = 0.31
PATH_SEPARATOR = :
PERL = perl
PTHREAD_LIBS = -lpthread
PY_CFLAGS = 
PY_EXTRA_LIBS = 
PY_LIBS = 
PY_LIB_LOC = 
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 0.31
WITH_BDB4_FALSE = 
WITH_BDB4_TRUE = #
WITH_CXX_BINDINGS_FALSE = 
WITH_CXX_BINDINGS_TRUE = #
WITH_JAVA_FALSE = 
WITH_JAVA_TRUE = #
WITH_PYTHON_FALSE = 
WITH_PYTHON_TRUE = #
YACC = bison -y
ZONE_INFO = 
ac_ct_AR = ar
ac_ct_CC = cc
ac_ct_CXX = 
ac_ct_F77 = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = 
am__fastdepCC_TRUE = #
am__fastdepCXX_FALSE = 
am__fastdepCXX_TRUE = #
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = arm-linux-gnueabi
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = /home/brahma/Project/checkout/synchronization/backend/maesync_dependency/source_packages/libical-0.31/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${prefix}/lib/libical
localstatedir = /var
mandir = ${prefix}/share/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
python_val = false
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = /etc
target = arm-unknown-linux-gnueabi
target_alias = 
target_cpu = arm
target_os = linux-gnueabi
target_vendor = unknown
lib_LTLIBRARIES = libLibicalWrap.la
libLibicalWrap_la_SOURCES = LibicalWrap.c
INCLUDES = \
	-I$(top_builddir)		\
	-I$(top_srcdir)/src		\
	-I$(top_builddir)/src		\
	-I$(top_srcdir)/src/libical	\
	-I$(top_builddir)/src/libical	\
	-I$(top_srcdir)/src/libicalss	\
	$(PY_CFLAGS) 	

LDADD = ../libical/libical.la ../libicalss/libicalss.la
CLEANFILES = LibicalWrap.c LibicalWrap_wrap.doc  Libical.pyc LibicalWrap.so
EXTRA_DIST = \
Libical.py 		\
LibicalWrap.i 		\
python-binding.txt 	\
test.py			\
Attendee.py 		\
Collection.py		\
Component.py		\
DerivedProperties.py	\
Duration.py		\
Error.py		\
Gauge.py		\
Period.py		\
Property.py		\
Store.py  		\
Time.py			\
ChangeLog

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/python/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  src/python/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	test -z "$(libdir)" || $(mkdir_p) "$(DESTDIR)$(libdir)"
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f="`echo $$p | sed -e 's|^.*/||'`"; \
	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(libdir)/$$f'"; \
	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(libdir)/$$f"; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	    p="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$p'"; \
	  $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$p"; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libLibicalWrap.la: $(libLibicalWrap_la_OBJECTS) $(libLibicalWrap_la_DEPENDENCIES) 
	$(LINK) -rpath $(libdir) $(libLibicalWrap_la_LDFLAGS) $(libLibicalWrap_la_OBJECTS) $(libLibicalWrap_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

#include ./$(DEPDIR)/LibicalWrap.Plo

.c.o:
#	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
#	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no 
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' 
#	$(CCDEPMODE) $(depcomp) 
	$(COMPILE) -c $<

.c.obj:
#	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
#	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no 
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' 
#	$(CCDEPMODE) $(depcomp) 
	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
#	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
#	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=yes 
#	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' 
#	$(CCDEPMODE) $(depcomp) 
	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:

=== debian/rules ===
#!/usr/bin/make -f

DEB_PATCHDIRS := debian/patches
DEB_PATCH_SUFFIX := .diff

include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_DH_INSTALL_SOURCEDIR=debian/tmp
DEB_DESTDIR=$(CURDIR)/debian/tmp

DEB_CONFIGURE_PREFIX=/usr
DEB_CONFIGURE_SYSCONFDIR=/etc
DEB_DH_STRIP_ARGS=--dbg-package=libical

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	DEB_CONFIGURE_EXTRA_FLAGS=--enable-debug
endif

# Use soft-float and thumb mode if it enabled.
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif

debian/stamp-autotools-files:
	autoreconf -v --install
	touch debian/stamp-autotools-files

## libical 1.43-99.3+0m5

=== debian/changelog ===
libical (1.43-99.3+0m5) stable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Sudheer Chiluveri <sudheer.chiluveri@nokia.com>  Fri, 21 Aug 2009 13:54:22 +0300

libical (1.43-99.3) stable; urgency=low

  * Week 34, 2009 - Wednesday
  *
  * Fixes: NB#103872    Calendar does not calculate event instances properly for recursive events for which BYSETPOS rule is specified

 -- Ilias Biris <ilias.biris@nokia.com>  Wed, 19 Aug 2009 18:46:18 +0400

libical (1.43-99.2) stable; urgency=low

  * Week 34, 2009 - Monday
  *
  * Fixes: NB#132166    Multiple all day event is changed to timebased event after importing

 -- Ilias Biris <ilias.biris@nokia.com>  Mon, 17 Aug 2009 19:25:10 +0400

libical (1.43-99.1) stable; urgency=low

  * Week 33, 2009 - Thursday
  *
  * Fixes: NB#133376    Upmerge of libical to the latest version from upstream is required

 -- Ilias Biris <ilias.biris@nokia.com>  Thu, 13 Aug 2009 15:25:59 +0400

libical (0.43-99) stable; urgency=high

  * new upstream release

 -- Wilfried Goesgens <w.goesgens@outgesourced.org>  Sat, 13 Sep 2008 10:00:00 +0001

libical (0.31-4) stable; urgency=high

  * new release fixing a crash

 -- Wilfried Goesgens <w.goesgens@outgesourced.org>  Mon, 17 Mar 2008 20:00:00 +0001

libical (0.26.6-1) unstable; urgency=low

  [ Fathi Boudra ]
  * Initial Debian release (Closes: #404862)
  * Remove dirs and README.Debian
  * Add soname patch
  * compat: bumped to 5
  * control:
    * convert package to cdbs
    * add myself as uploader
    * bump Standards-Version to 3.7.2
    * rewrite descriptions
  * copyright: complete rewrite

  [ Wilfried Goesgens ]
  * Update to aurore ical.

 -- Fathi Boudra <fboudra@free.fr>  Wed, 27 Dec 2006 12:19:06 +0100

libical (0.24-1) unstable; urgency=low

  * Initial release

 -- Wilfried Goesgens <w.goesgens@outgesourced.org>  Fri, 22 Jul 2005 13:09:43 +0200

## libical 1.43-99.4%2b0m5

=== debian/changelog ===
libical (1.43-99.4+0m5) stable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Sudheer Chiluveri <sudheer.chiluveri@nokia.com>  Fri, 20 Nov 2009 17:04:15 +0200

libical (1.43-99.4) stable; urgency=low

  * Week 47, 2009 - Friday
  * 
  * Fixes: NB#147605 Remove debug symbol files to from binary package

 -- Ilias Biris <ilias.biris@nokia.com>  Fri, 20 Nov 2009 11:57:46 +0300

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 DEB_CONFIGURE_PREFIX=/usr
 DEB_CONFIGURE_SYSCONFDIR=/etc
-DEB_DH_STRIP_ARGS=--dbg-package=libical
+DEB_DH_STRIP_ARGS=--dbg-package=libical-dbg
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 	DEB_CONFIGURE_EXTRA_FLAGS=--enable-debug

## libical 1.43-99.4+0m5

=== CMakeLists.txt ===
# This is the top-level CMakeLists.txt file for the libical project.
#
# Pass the following variables to cmake to control the build:
# (See doc/UsingLibical.txt for more information)
#
# -DICAL_ERRORS_ARE_FATAL=[true|false] 
#  Set to make icalerror_* calls abort instead of internally signaling an error
#  Default=false
#
# -DNO_WARN_DEPRECATED=[true|false]
#  Set if you DO NOT WANT to see deprecated messages.
#  Default=true
#
# -DICAL_UNIX_NEWLINE=[true|false]
#  Set to terminate each line with the RFC2445 specified line terminator "\\n";
#  else it will terminate lines with "\\n\\r"
#  Default=true
#
# -DUSE_BUILTIN_TZDATA=[true|false]
#  Set to build using our own timezone data.
#  Default=false (use the system timezone data)
#

project(libical)

cmake_minimum_required(VERSION 2.4)
#cannot use the following line with cmake 2.4.x
#cmake_policy(VERSION 2.6)

set(LIBICAL_LIB_MAJOR_VERSION "0")
set(LIBICAL_LIB_MINOR_VERSION "43")
set(LIBICAL_LIB_PATCH_VERSION "0")
set(LIBICAL_LIB_VERSION_STRING "${LIBICAL_LIB_MAJOR_VERSION}.${LIBICAL_LIB_MINOR_VERSION}.${LIBICAL_LIB_PATCH_VERSION}")

set(PROJECT_VERSION "${LIBICAL_LIB_MAJOR_VERSION}.${LIBICAL_LIB_MINOR_VERSION}")
set(PROJECT_URL "http://freeassociation.sf.net/")

# must have Perl to create the derived stuff
find_package(Perl REQUIRED)

# make msvc less verbose
if(WIN32)
  if(MSVC)
    add_definitions(-D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEPRECATE)
  endif(MSVC)
  add_definitions(-DBIG_ENDIAN=0 -DLITTLE_ENDIAN=1 -DBYTE_ORDER=BIG_ENDIAN)
endif(WIN32)

set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING "Library directory name" FORCE)
set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include" CACHE STRING "Include directory name" FORCE)
set(SHARE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share" CACHE STRING "Share directory name" FORCE)

# set the output paths
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)
if(WIN32)
  set(LIBRARY_OUTPUT_PATH ${EXECUTABLE_OUTPUT_PATH} )
  set(LIB_INSTALL_DIR lib)
  set(BIN_INSTALL_DIR bin)
else(WIN32)
  set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib )
endif(WIN32)

IF(APPLE)
  set(CMAKE_INSTALL_NAME_DIR ${LIB_DESTINATION})
ENDIF(APPLE)

if(NOT DEFINED ICAL_ERRORS_ARE_FATAL)
  set(ICAL_ERRORS_ARE_FATAL 0)
else(NOT DEFINED ICAL_ERRORS_ARE_FATAL)
  if(ICAL_ERRORS_ARE_FATAL)
    set(ICAL_ERRORS_ARE_FATAL 1)
  else(ICAL_ERRORS_ARE_FATAL)
    set(ICAL_ERRORS_ARE_FATAL 0)
  endif(ICAL_ERRORS_ARE_FATAL)
endif(NOT DEFINED ICAL_ERRORS_ARE_FATAL)

if(NOT DEFINED ICAL_UNIX_NEWLINE)
  set(ICAL_UNIX_NEWLINE 1)
else(NOT DEFINED ICAL_UNIX_NEWLINE)
  if(ICAL_UNIX_NEWLINE)
    set(ICAL_UNIX_NEWLINE 1)
  else(ICAL_UNIX_NEWLINE)
    set(ICAL_UNIX_NEWLINE 0)
  endif(ICAL_UNIX_NEWLINE)
endif(NOT DEFINED ICAL_UNIX_NEWLINE)

if(NOT DEFINED NO_WARN_DEPRECATED)
  set(NO_WARN_DEPRECATED 1)
else(NOT DEFINED NO_WARN_DEPRECATED)
  if(NO_WARN_DEPRECATED)
    set(NO_WARN_DEPRECATED 1)
  else(NO_WARN_DEPRECATED)
    set(NO_WARN_DEPRECATED 0)
  endif(NO_WARN_DEPRECATED)
endif(NOT DEFINED NO_WARN_DEPRECATED)

if(NOT DEFINED USE_BUILTIN_TZDATA)
  set(USE_BUILTIN_TZDATA 0)
else(NOT DEFINED USE_BUILTIN_TZDATA)
  if(USE_BUILTIN_TZDATA)
    set(USE_BUILTIN_TZDATA 1)
  else(USE_BUILTIN_TZDATA)
    set(USE_BUILTIN_TZDATA 0)
  endif(USE_BUILTIN_TZDATA)
endif(NOT DEFINED USE_BUILTIN_TZDATA)

include(ConfigureChecks.cmake)
add_definitions(-DHAVE_CONFIG_H)
configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

set(INSTALL_TARGETS_DEFAULT_ARGS
  RUNTIME DESTINATION ${BIN_INSTALL_DIR}
  LIBRARY DESTINATION ${LIB_INSTALL_DIR}
  ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
)

################# build targets ########################

add_subdirectory(design-data)
add_subdirectory(doc)
add_subdirectory(scripts)
add_subdirectory(test-data)
add_subdirectory(src)
add_subdirectory(examples)
if(USE_BUILTIN_TZDATA)
  # use our zoneinfo if cmake is passed -DUSE_BUILTIN_TZDATA
  add_subdirectory(zoneinfo)
endif(USE_BUILTIN_TZDATA)

############# install stuff ######################


if(NOT WIN32)   # pkgconfig file
  set(VERSION "${PROJECT_VERSION}")
  set(prefix "${CMAKE_INSTALL_PREFIX}")
  set(exec_prefix "\${prefix}")
  set(libdir "\${exec_prefix}/lib")
  set(includedir "\${prefix}/include")
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libical.pc.in ${CMAKE_CURRENT_BINARY_DIR}/libical.pc @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libical.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
endif(NOT WIN32)

=== zoneinfo/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# zoneinfo/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/libical
pkglibdir = $(libdir)/libical
pkgincludedir = $(includedir)/libical
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
target_triplet = arm-unknown-linux-gnueabi
subdir = zoneinfo
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(mkdir_p)
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
am__installdirs = "$(DESTDIR)$(zoneinfodatadir)"
zoneinfodataDATA_INSTALL = $(INSTALL_DATA)
DATA = $(zoneinfodata_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/brahma/Project/checkout/synchronization/backend/maesync_dependency/source_packages/libical-0.31/missing --run aclocal-1.8
AMDEP_FALSE = 
AMDEP_TRUE = #
AMTAR = ${SHELL} /home/brahma/Project/checkout/synchronization/backend/maesync_dependency/source_packages/libical-0.31/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/brahma/Project/checkout/synchronization/backend/maesync_dependency/source_packages/libical-0.31/missing --run autoconf
AUTOHEADER = ${SHELL} /home/brahma/Project/checkout/synchronization/backend/maesync_dependency/source_packages/libical-0.31/missing --run autoheader
AUTOMAKE = ${SHELL} /home/brahma/Project/checkout/synchronization/backend/maesync_dependency/source_packages/libical-0.31/missing --run automake-1.8
AWK = gawk
BDB_DIR = 
BDB_DIR_INCLUDE = 
BDB_DIR_LIB = 
BDB_LIB = 
BDB_VERSION = 
CC = cc
CCDEPMODE = depmode=none
CFLAGS = -g -Wall -O2
CPP = cc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=none
CXXFLAGS = -g -Wall -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DEV_FALSE = 
DEV_TRUE = #
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = 
FFLAGS = 
HAVE_PTHREAD_FALSE = #
HAVE_PTHREAD_TRUE = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
JAR = 
JAVA = 
JAVAC = 
JAVAH = 
JAVA_PLATFORM = 
LDFLAGS = 
LEX = flex
LEXLIB = 
LEX_OUTPUT_ROOT = lex.yy
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /home/brahma/Project/checkout/synchronization/backend/maesync_dependency/source_packages/libical-0.31/missing --run makeinfo
OBJEXT = o
OS_WIN32_FALSE = 
OS_WIN32_TRUE = #
PACKAGE = libical
PACKAGE_BUGREPORT = http://freeassociation.sf.net/
PACKAGE_NAME = libical
PACKAGE_STRING = libical 0.31
PACKAGE_TARNAME = libical
PACKAGE_VERSION = 0.31
PATH_SEPARATOR = :
PERL = perl
PTHREAD_LIBS = -lpthread
PY_CFLAGS = 
PY_EXTRA_LIBS = 
PY_LIBS = 
PY_LIB_LOC = 
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 0.31
WITH_BDB4_FALSE = 
WITH_BDB4_TRUE = #
WITH_CXX_BINDINGS_FALSE = 
WITH_CXX_BINDINGS_TRUE = #
WITH_JAVA_FALSE = 
WITH_JAVA_TRUE = #
WITH_PYTHON_FALSE = 
WITH_PYTHON_TRUE = #
YACC = bison -y
ZONE_INFO = 
ac_ct_AR = ar
ac_ct_CC = cc
ac_ct_CXX = 
ac_ct_F77 = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = 
am__fastdepCC_TRUE = #
am__fastdepCXX_FALSE = 
am__fastdepCXX_TRUE = #
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = arm-linux-gnueabi
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = /home/brahma/Project/checkout/synchronization/backend/maesync_dependency/source_packages/libical-0.31/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${prefix}/lib/libical
localstatedir = /var
mandir = ${prefix}/share/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
python_val = false
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = /etc
target = arm-unknown-linux-gnueabi
target_alias = 
target_cpu = arm
target_os = linux-gnueabi
target_vendor = unknown
zoneinfodatadir = $(datadir)/$(PACKAGE)/zoneinfo
zoneinfodata_DATA = zones.tab
DIRS = \
	Africa			\
	America			\
	America/North_Dakota	\
	America/Indiana		\
	America/Kentucky	\
	America/Argentina	\
	Antarctica		\
	Arctic			\
	Asia			\
	Atlantic		\
	Australia		\
	Europe			\
	Indian			\
	Pacific

EXTRA_DIST = $(zoneinfodata_DATA)
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  zoneinfo/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  zoneinfo/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
install-zoneinfodataDATA: $(zoneinfodata_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(zoneinfodatadir)" || $(mkdir_p) "$(DESTDIR)$(zoneinfodatadir)"
	@list='$(zoneinfodata_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(zoneinfodataDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(zoneinfodatadir)/$$f'"; \
	  $(zoneinfodataDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(zoneinfodatadir)/$$f"; \
	done

uninstall-zoneinfodataDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(zoneinfodata_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f '$(DESTDIR)$(zoneinfodatadir)/$$f'"; \
	  rm -f "$(DESTDIR)$(zoneinfodatadir)/$$f"; \
	done
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	$(MAKE) $(AM_MAKEFLAGS) \
	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
	  dist-hook
check-am: all-am
check: check-am
all-am: Makefile $(DATA)
installdirs:
	for dir in "$(DESTDIR)$(zoneinfodatadir)"; do \
	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-libtool

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am: install-data-local install-zoneinfodataDATA

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am uninstall-zoneinfodataDATA

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-data-local install-exec \
	install-exec-am install-info install-info-am install-man \
	install-strip install-zoneinfodataDATA installcheck \
	installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am \
	uninstall-info-am uninstall-zoneinfodataDATA


install-data-local:
	@$(NORMAL_INSTALL)
	for dir in $(DIRS); do \
	  $(mkinstalldirs) $(DESTDIR)$(datadir)/$(PACKAGE)/zoneinfo/$$dir; \
	  for tzfile in $(srcdir)/$$dir/*.ics; do \
	    $(INSTALL_DATA) $$tzfile $(DESTDIR)$(datadir)/$(PACKAGE)/zoneinfo/$$dir; \
	  done \
	done

dist-hook:
	for dir in $(DIRS); do \
	  mkdir $(distdir)/$$dir; \
	  for tzfile in $(srcdir)/$$dir/*.ics; do \
	    cp -p $$tzfile $(distdir)/$$dir; \
	  done \
	done
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== src/libicalss/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/src ${CMAKE_BINARY_DIR}/src
  ${CMAKE_SOURCE_DIR}/src/libicalss ${CMAKE_BINARY_DIR}/src/libicalss 
  ${CMAKE_SOURCE_DIR}/src/libical ${CMAKE_BINARY_DIR}/src/libical
)

if(WIN32)
  set(TOPS "\"${CMAKE_SOURCE_DIR}\"")
  set(TOPB "\"${CMAKE_BINARY_DIR}\"")
else(WIN32)
  set(TOPS "${CMAKE_SOURCE_DIR}")
  set(TOPB "${CMAKE_BINARY_DIR}")
endif(WIN32)

add_custom_command(
  OUTPUT
  ${CMAKE_BINARY_DIR}/src/libical/icalss.h
  COMMAND
  ${CMAKE_COMMAND}
    -DTOPS:FILEPATH=${TOPS}
    -DTOPB:FILEPATH=${TOPB}
    -DICAL_FILE_H_FILE:FILEPATH=${CMAKE_BINARY_DIR}/src/libical/icalss.h
    -P ${CMAKE_CURRENT_SOURCE_DIR}/icalss_file.cmake
  DEPENDS
  ${CMAKE_BINARY_DIR}/src/libical/icalderivedproperty.h
  ${CMAKE_BINARY_DIR}/src/libical/icalderivedparameter.h
  ${CMAKE_BINARY_DIR}/src/libical/icalderivedvalue.h
)

add_custom_target(icalss-header DEPENDS
  ${CMAKE_BINARY_DIR}/src/libical/icalss.h
)

########### next target ###############

#these are generated sources, but we keep them in the repo
set(icalss_LIB_DEVSRCS icalsslexer.c icalssyacc.c)

set(icalss_LIB_SRCS
   icalcalendar.c
   icalcalendar.h
   icalclassify.c
   icalclassify.h
   icalcluster.c
   icalcluster.h
   icalclusterimpl.h
   icalgauge.c
   icalgauge.h
   icalgaugeimpl.h
   icaldirset.c
   icaldirset.h
   icaldirsetimpl.h
   icalfileset.c
   icalfileset.h
   icalfilesetimpl.h
   icalset.c
   icalset.h
   icalssyacc.h
   icalspanlist.c
   icalspanlist.h
   icalmessage.c
   icalmessage.h
#   $(BDB_SOURCEFILES)
   ${icalss_LIB_DEVSRCS}
)

if(MSVC)
    list(APPEND icalss_LIB_SRCS ../icalss.def)
endif(MSVC)

add_library(icalss SHARED ${icalss_LIB_SRCS})
add_library(icalss-static STATIC ${icalss_LIB_SRCS})

add_dependencies(icalss icalss-header)

target_link_libraries(icalss ical)

set_target_properties(icalss PROPERTIES VERSION ${LIBICAL_LIB_VERSION_STRING} SOVERSION ${LIBICAL_LIB_MAJOR_VERSION})
set_target_properties(icalss PROPERTIES CLEAN_DIRECT_OUTPUT 1)
set_target_properties(icalss-static PROPERTIES OUTPUT_NAME "icalss")
set_target_properties(icalss-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)

install(TARGETS icalss icalss-static ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(FILES
  ${CMAKE_BINARY_DIR}/src/libical/icalss.h
  icalcalendar.h
  icalclassify.h
  icalcluster.h
  icaldirset.h 
  icaldirsetimpl.h
  icalfileset.h
  icalfilesetimpl.h
  icalgauge.h
  icalgaugeimpl.h
  icalmessage.h
  icalset.h
  icalspanlist.h
  icalssyacc.h
  #$(libicalssinclude_BDBHEADERS)
  DESTINATION
 ${INCLUDE_INSTALL_DIR}/libical
)

#original Makefile.am contents follow:

##======================================================================
##  FILE: Makefile.am
##  CREATOR: eric 
##  
##  $Id: Makefile.am,v 1.24 2008-02-03 15:27:34 dothebart Exp $
##
##
## (C) COPYRIGHT 2000, Eric Busboom, http://www.softwarestudio.org
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of either: 
##
##    The LGPL as published by the Free Software Foundation, version
##    2.1, available at: http://www.fsf.org/copyleft/lesser.html
##
##  Or:
##
##    The Mozilla Public License Version 1.0. You may obtain a copy of
##    the License at http://www.mozilla.org/MPL/
##
##  
##
##======================================================================
#
#
#AM_YFLAGS =-d -v -p ss
#AM_LFLAGS = -Pss 
#LEX_OUTPUT_ROOT = lex.ss
#
#all: icalss.h
#
## just to get it built
#$(srcdir)/icalgauge.c: icalssyacc.h
#$(srcdir)/icalsslexer.c: icalssyacc.h 
#
#
#if WITH_BDB4
#BDB_INCLUDE=-I@BDB_DIR_INCLUDE@ -DWITH_BDB4
#BDB_SOURCEFILES=icalbdbset.c icalbdbset.h icalbdbsetimpl.h
#BDB_HEADERFILES=$(srcdir)/icalbdbset.h
#libicalssinclude_BDBHEADERS=icalbdbset.h icalbdbsetimpl.h
#BDB_LIBFILES=@BDB_DIR_LIB@/@BDB_LIB@
#else
#BDB_INCLUDE=
#BDB_SOURCEFILES=
#BDB_HEADERFILES=
#endif
#
#if WITH_CXX_BINDINGS
#cxx_lib=libicalss_cxx.la
#cxx_headers=icalspanlist_cxx.h
#else
#cxx_lib=
#cxx_headers=
#endif
#
#lib_LTLIBRARIES = libicalss.la $(cxx_lib)
#
#INCLUDES =			\
#	-I$(top_srcdir)/src	\
#	-I$(top_builddir)/src	\
#	-I$(top_srcdir)/src/libical	\
#	-I$(top_builddir)/src/libical	\
#	$(BDB_INCLUDE)
#
#libicalss_la_LDFLAGS = -version-info 43:0:43
#libicalss_la_LIBADD = $(BDB_LIBFILES) 
#
#if DEV
#libicalss_la_DEVSOURCES = icalsslexer.l icalssyacc.y
#else
#libicalss_la_DEVSOURCES = icalsslexer.c icalssyacc.c
#endif
#
#libicalss_la_SOURCES =		\
#	icalcalendar.c		\
#	icalcalendar.h		\
#	icalclassify.c		\
#	icalclassify.h		\
#	icalcluster.c		\
#	icalcluster.h		\
#	icalclusterimpl.h	\
#	icalgauge.c		\
#	icalgauge.h		\
#	icalgaugeimpl.h		\
#	icaldirset.c		\
#	icaldirset.h		\
#	icaldirsetimpl.h	\
#	icalfileset.c		\
#	icalfileset.h		\
#	icalfilesetimpl.h	\
#	icalset.c		\
#	icalset.h		\
#	icalssyacc.h		\
#	icalspanlist.c		\
#	icalspanlist.h		\
#	icalmessage.c		\
#	icalmessage.h		\
#	$(BDB_SOURCEFILES)	\
#	$(libicalss_la_DEVSOURCES)
#
#libicalssincludedir = $(includedir)/libical
#
#COMBINEDHEADERS = \
#        $(srcdir)/icalgauge.h \
#        $(srcdir)/icalset.h \
#        $(srcdir)/icalcluster.h \
#        $(srcdir)/icalfileset.h \
#        $(srcdir)/icaldirset.h \
#	$(BDB_HEADERFILES) \
#        $(srcdir)/icalcalendar.h  \
#        $(srcdir)/icalclassify.h \
#	$(srcdir)/icalspanlist.h	\
#	$(srcdir)/icalmessage.h
#
#if WITH_CXX_BINDINGS
#libicalss_cxx_la_SOURCES =	\
#	$(libicalss_evolution_la_SOURCES)	\
#	icalspanlist_cxx.h	\
#	icalspanlist_cxx.cpp
#
#endif
#
#icalss.h: $(COMBINEDHEADERS)
#	echo '#ifndef LIBICAL_ICALSS_H'   >  icalss.h
#	echo '#define LIBICAL_ICALSS_H'   >> icalss.h
#	echo '#ifdef __cplusplus'         >> icalss.h
#	echo 'extern "C" {'               >> icalss.h
#	echo '#endif'                     >> icalss.h
#	echo '/*'                         >> icalss.h
#	echo ' $$''Id''$$'                >> icalss.h
#	echo '*/'                         >> icalss.h
#	cat $(COMBINEDHEADERS)				\
#	| egrep -v "#include.*\"ical"			\
#	| egrep -v "#include.*\"pvl\.h\""		\
#	| egrep -v '\$$(Id|Locker): .+\$$'>> icalss.h
#	echo '#ifdef __cplusplus'         >> icalss.h
#	echo '}'                          >> icalss.h
#	echo '#endif'                     >> icalss.h
#	echo '#endif'                     >> icalss.h
#
#libicalssinclude_HEADERS = icalss.h  icalcalendar.h icalclassify.h icalcluster.h icaldirset.h icaldirsetimpl.h icalfileset.h icalfilesetimpl.h icalgauge.h icalgaugeimpl.h icalmessage.h icalset.h icalspanlist.h icalssyacc.h $(libicalssinclude_BDBHEADERS)
#
#CONFIG_CLEAN_FILES = y.output
#

=== src/libicalvcal/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/src ${CMAKE_BINARY_DIR}/src
  ${CMAKE_SOURCE_DIR}/src/libicalss ${CMAKE_BINARY_DIR}/src/libicalss 
  ${CMAKE_SOURCE_DIR}/src/libical ${CMAKE_BINARY_DIR}/src/libical
  ${CMAKE_SOURCE_DIR}/src/libicalvcal ${CMAKE_BINARY_DIR}/src/libicalvcal
)

#these are generated sources, but we keep them in the repo
set(icalvcal_LIB_DEVSRCS vcc.c)

########### next target ###############

SET(icalvcal_LIB_SRCS
   icalvcal.h
   icalvcal.c
   port.h
   vcc.h
   vobject.h
   vobject.c
   vcaltmp.h
   vcaltmp.c
   ${icalvcal_LIB_DEVSRCS}
)

if(MSVC)
    list(APPEND icalvcal_LIB_SRCS ../icalvcal.def)
endif(MSVC)

add_library(icalvcal SHARED ${icalvcal_LIB_SRCS})
add_library(icalvcal-static STATIC ${icalvcal_LIB_SRCS})

target_link_libraries(icalvcal ical)

set_target_properties(icalvcal PROPERTIES VERSION ${LIBICAL_LIB_VERSION_STRING} SOVERSION ${LIBICAL_LIB_MAJOR_VERSION})
set_target_properties(icalvcal PROPERTIES CLEAN_DIRECT_OUTPUT 1)
set_target_properties(icalvcal-static PROPERTIES OUTPUT_NAME "icalvcal")
set_target_properties(icalvcal-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)

install(TARGETS icalvcal icalvcal-static ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(FILES
  icalvcal.h port.h vcc.h vobject.h vcaltmp.h
  DESTINATION
  ${INCLUDE_INSTALL_DIR}/libical)



#original Makefile.am contents follow:

#lib_LTLIBRARIES = libicalvcal.la
#
#INCLUDES =				\
#	-I$(top_srcdir)			\
#	-I$(top_srcdir)/src		\
#	-I$(top_builddir)/src		\
#	-I$(top_srcdir)/src/libical	\
#	-I$(top_builddir)/src/libical	\
#	-I$(top_srcdir)/src/libicalss
#
#libicalvcal_la_LDFLAGS = -version-info 43:0:43
#libicalvcal_la_LIBADD = ../libical/.libs/libical.la
#
#if DEV
#libicalvcal_la_DEVSOURCES = vcc.y
#else
#libicalvcal_la_DEVSOURCES = vcc.c
#endif
#
#
#libicalvcal_la_SOURCES =	\
#	icalvcal.h		\
#	icalvcal.c		\
#	port.h			\
#	vcc.h			\
#	vobject.h		\
#	vobject.c		\
#	vcaltmp.h		\
#	vcaltmp.c		\
#	$(libicalvcal_la_DEVSOURCES)
#
#libicalvcalincludedir = $(includedir)/libicalvcal
#
#libicalvcalinclude_HEADERS =	\
#	icalvcal.h		\
#	port.h			\
#	vcc.h			\
#	vobject.h		\
#	vcaltmp.h
#
#EXTRA_DIST =		\
#	README.TXT	\
#	vcaltest.c	\
#	vctest.c
#

=== debian/control ===
Source: libical
Section: office
Priority: optional
Maintainer: Biris Ilias <ilias.biris@nokia.com>
Uploaders: Biris Ilias <ilias.biris@nokia.com>
Build-Depends: debhelper (>= 4.0.0), cdbs
Standards-Version: 3.8.0

Package: libical
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Libical libraries 

Package: libical-dbg
Section: libs
Architecture: any
Depends: libical (= ${binary:Version})
Description: Libical libraries 
 This package contains debug symbols for libical libraries

Package: libical-dev
Section: devel
Architecture: any
Depends: libical (= ${binary:Version})
Description: libical developer's files.

## libical 1.43-101%2b0m5

=== debian/changelog ===
libical (1.43-101+0m5) stable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Aravind Venkata <ext-aravind.taduturi@nokia.com>  Wed, 10 Feb 2010 17:16:19 +0200

libical (1.43-101) stable; urgency=low

  * Non-maintainer upload.
  * Fixes: NB#137147 <coverity> defects from libical

 -- Ilias Biris <ilias.biris@nokia.com>  Fri, 05 Feb 2010 19:28:48 +0300

libical (1.43-100) stable; urgency=low

  * Week 48, 2009 - Tuesday
  * 
  * Separate branch pre-release from PR1.1

 -- Ilias Biris <ilias.biris@nokia.com>  Tue, 24 Nov 2009 16:30:13 +0300
